Bug 240705 - Review Request: yafray - Yet Another Free RAYtracer
Review Request: yafray - Yet Another Free RAYtracer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-20 18:57 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 20:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-05-20 18:57:01 EDT
Spec URL:
http://kwizart.free.fr/fedora/7/testing/yafray/yafray.spec
SRPM URL: 
http://kwizart.free.fr/fedora/7/testing/yafray/yafray-0.0.9-1.kwizart.fc7.src.rpm
Description: Yet Another Free RAYtracer

The question does libs it requires symlinks i don't knwo how yafray is uses inside blender (testing for now...)
Comment 1 Jochen Schmitt 2007-05-21 15:51:30 EDT
good:
+ Naming seems ok
+ Tar ball matches with upstream.
+ License seems ok.
+ Rpmlint of source package ok
+ Rpmlint ok for debuginfo.
+ Local install and uninstall works fine.
+ Mock build works fine for FC6 and F7 (x86_64)

Bad:
- Rpmlint complaints binary package:
rpmlint yafray-0.0.9-1.x86_64.rpm
E: yafray zero-length /usr/share/doc/yafray-0.0.9/NEWS
W: yafray non-conffile-in-etc /etc/gram.yafray
E: yafray zero-length /usr/share/doc/yafray-0.0.9/COPYING
W: yafray incoherent-version-in-changelog 0.0.9-2 0.0.9-1
E: yafray invalid-soname /usr/lib64/libyafraycore.so libyafraycore.so
E: yafray invalid-soname /usr/lib64/libyafrayplugin.so libyafrayplugin.so
- Rpmlint complaints on installed package:
rpmlint yafray
E: yafray zero-length /usr/share/doc/yafray-0.0.9/NEWS
W: yafray non-conffile-in-etc /etc/gram.yafray
E: yafray zero-length /usr/share/doc/yafray-0.0.9/COPYING
W: yafray incoherent-version-in-changelog 0.0.9-2 0.0.9-1
E: yafray invalid-soname /usr/lib64/libyafrayplugin.so libyafrayplugin.so
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafrayplugin.so
/lib64/libdl.so.2
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafrayplugin.so
/lib64/libpthread.so.0
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafrayplugin.so
/lib64/libm.so.6
E: yafray invalid-soname /usr/lib64/libyafraycore.so libyafraycore.so
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so dlsym
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so dlerror
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so dlopen
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so dlclose
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafraycore.so
/usr/lib64/libImath.so.4
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafraycore.so
/usr/lib64/libIex.so.4

Comment 2 Nicolas Chauvet (kwizart) 2007-05-21 18:32:12 EDT
Spec URL:
http://kwizart.free.fr/fedora/7/testing/yafray/yafray.spec
SRPM URL: 
http://kwizart.free.fr/fedora/7/testing/yafray/yafray-0.0.9-2.kwizart.fc6.src.rpm
Description: Yet Another Free RAYtracer

Sorry i may have uploaded the wrong file...

All errors are removed but some warnings remain: (on installed files)
rpmlint yafray
W: yafray incoherent-version-in-changelog 0.0.9-2 0.0.9-2.kwizart.fc6
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so.0.0.9 dlsym
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so.0.0.9 dlerror
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so.0.0.9 dlopen
W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so.0.0.9 dlclose
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafraycore.so.0.0.9
/usr/lib64/libImath.so.4
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafraycore.so.0.0.9
/usr/lib64/libIex.so.4
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafrayplugin.so.0.0.9
/lib64/libdl.so.2
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafrayplugin.so.0.0.9
/lib64/libpthread.so.0
W: yafray unused-direct-shlib-dependency /usr/lib64/libyafrayplugin.so.0.0.9
/lib64/libm.so.6

Searching about a proper fix from here:
http://sources.redhat.com/ml/libc-alpha/2003-05/msg00034.html
Comment 3 Jochen Schmitt 2007-05-22 13:25:22 EDT
(In reply to comment #2)

> W: yafray undefined-non-weak-symbol /usr/lib64/libyafraycore.so.0.0.9 dlclose
> W: yafray unused-direct-shlib-dependency /usr/lib64/libyafraycore.so.0.0.9
> /usr/lib64/libImath.so.4

Please report this issue to the upstream.
Comment 4 Jochen Schmitt 2007-05-22 13:34:03 EDT
Good:
+ Rpmlint is quite on binary packages
+ Package contain verbain copy of the license test.
+ Start yafray from command line without arguments without a crash.

*** APPROVED ***

Comment 5 Nicolas Chauvet (kwizart) 2007-05-22 14:44:15 EDT
New Package CVS Request
=======================
Package Name: yafray
Short Description: Yet Another Free RAYtracer
Owners: kwizart@gmail.com
Branches: FC-6 F-7 devel
InitialCC: 
Comment 6 Tom "spot" Callaway 2007-05-22 15:17:18 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.